%define libkf5gapiblogger_major  5
%define libkf5gapiblogger        %mklibname kf5gapiblogger %{libkf5gapiblogger_major}

%define libkf5gapicalendar_major 5
%define libkf5gapicalendar       %mklibname kf5gapicalendar %{libkf5gapicalendar_major}

%define libkf5gapicontacts_major 5
%define libkf5gapicontacts       %mklibname kf5gapicontacts %{libkf5gapicontacts_major}

%define libkf5gapicore_major     5
%define libkf5gapicore           %mklibname kf5gapicore %{libkf5gapicore_major}

%define libkf5gapidrive_major    5
%define libkf5gapidrive          %mklibname kf5gapidrive %{libkf5gapidrive_major}

%define libkf5gapilatitude_major 5
%define libkf5gapilatitude       %mklibname kf5gapilatitude %{libkf5gapilatitude_major}

%define libkf5gapimaps_major     5
%define libkf5gapimaps           %mklibname kf5gapimaps %{libkf5gapimaps_major}

%define libkf5gapitasks_major    5
%define libkf5gapitasks          %mklibname kf5gapitasks %{libkf5gapitasks_major}

%define libkf5gapi_devel         %mklibname kf5gapi -d

Summary:	Accessing various Google services via their public API
Name:		libkgapi
Version:	23.08.5
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/KDE5
URL:		http://www.dvratil.cz/category/akonadi-google/
Source0:	http://download.kde.org/stable/%{name}/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires: cmake
BuildRequires: lib64ical-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5calendarcore-devel
BuildRequires: lib64kf5kcontacts-devel
BuildRequires: lib64kf5kdelibs4support-devel
BuildRequires: lib64kf5windowsystem-devel
BuildRequires: lib64kio-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5xml-devel
BuildRequires: libstdc++-devel
BuildRequires: make 
BuildRequires: pkgconfig 
BuildRequires: qtbase5-common-devel

%description
LibKGAPI (previously called LibKGoogle) is a C++ library that implements APIs
for various Google services.

Currently supported APIs:
  - Calendar API v3 (https://developers.google.com/google-apps/calendar)
  - Contacts API v3 (https://developers.google.com/google-apps/contacts/v3/)
  - Tasks API v1 (https://developers.google.com/google-apps/tasks)
  - Latitude API v1 (https://developers.google.com/latitude/v1/)
  - Static Google Maps API v2
    (https://developers.google.com/maps/documentation/staticmaps/)
  - Drive API v2 (https://developers.google.com/drive/v2/reference)

%files -f %{name}_qt.lang
%{_kf5_datadir}/qlogging-categories5/libkgapi.categories

%package -n	%{libkf5gapicontacts}
Summary:	Runtime library for %{name}
Group:		Graphical desktop/KDE5

%description -n	%{libkf5gapicontacts}
Runtime Library for %{name}.

%files -n %{libkf5gapicontacts}
%{_kf5_libdir}/lib*.so*
%{_libdir}/sasl2/libkdexoauth2.so.*
#----------------------------------------------------------------------


%package -n	%{libkf5gapi_devel}
Summary:	Devel files for %{name}
Group:		Development/Libraries
Requires:	%{libkf5gapicontacts} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	kgapi-devel = %{version}-%{release}
Provides:	kf5gapi-devel = %{version}-%{release}
Provides:	libkf5gapi-devel = %{version}-%{release}

%description -n %{libkf5gapi_devel}
Devel files for %{name}.

%files -n %{libkf5gapi_devel}
%{_kf5_libdir}/lib*.so
%{_includedir}
%{_kf5_libdir}/cmake
%{_kf5_mkspecsdir}
/usr/lib64/sasl2/*.so
#---------------------------------------------------------------------

%prep
%setup -q

%build
##sd "5.12.3" "5.12.2" CMakeLists.txt
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"

%cmake_kf5 -GNinja

%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

%find_lang_kf5 %{name}_qt


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

